Subject: Re: [Sip] Proposal for multiple INFO bodies in an INFO

From: "eburger" <[email-masked]>
Date: Fri, 31 Oct 2008 02:15:05 +0000

INFO is rejected. You probably shouldn't have any application state semantics that would need SIP to transport an error. QED
------Original Message------
From: Anders Kristensen
To: Eric Burger
Cc: IETF SIP List
Subject: Re: [Sip] Proposal for multiple INFO bodies in an INFO
Sent: Oct 30, 2008 9:56 PM

Eric Burger wrote:
...
> 
> I would also offer that since INFO does not change SIP state, which 
> means there is not even a concept of a message succeeding but the INFO 
> body doing something that "fails", the objection that it would be hard 
> for a UA to report on one body "failing" with another body "succeeding" 
> is a non-issue.  Yes, this does mean that you cannot use INFO to tunnel 
> IP.  See RFC 3252 for more on this.  I do not see this as a problem.

Not sure I follow this. If an INFO carries bodies for info packages A 
and B and the one for A is fine but the one for B is malformed, then is 
the INFO rejected or not?

Thanks,
Anders

--
Eric Burger

Sent from my mobile device; sorry if terse. All mobile users need lemonade.  See <http://www.standardstrack.com/ietf/lemonade> for more information.
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip